package com.test.sqlite;

import java.util.ArrayList;
import java.util.HashMap;

import com.javapapers.android.sqlitestorageoption.R;
import com.test.sqlite.SqliteController;
import com.test.sqlite.NewStudent;

import android.os.Bundle;
import android.app.ListActivity;
import android.content.Intent;
import android.view.View;

import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListAdapter;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import android.widget.ListView;


public class MainActivity extends ListActivity {
	Intent intent;
	TextView studentId;
	SqliteController controller = new SqliteController(this);
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		ArrayList<HashMap<String, String>> studentList =  controller.getAllStudents();
		if(studentList.size()!=0) {
			ListView lv = getListView();
			lv.setOnItemClickListener(new OnItemClickListener() {
				  @Override 
				  public void onItemClick(AdapterView<?> parent, View view,int position, long id) {
					  studentId = (TextView) view.findViewById(R.id.studentId);
				  }
			});
			ListAdapter adapter = new SimpleAdapter( MainActivity.this,studentList, R.layout.view_student_entry, new String[] { "studentId","studentName"}, new int[] {R.id.studentId, R.id.studentName}); 
			setListAdapter(adapter);
		}
	}
	public void showAddForm(View view) {
		Intent objIntent = new Intent(getApplicationContext(), NewStudent.class);
		startActivity(objIntent);
	}
}
